# Générateur de noms français

## Utilisation

Les deux arguments sont facultatifs
```sh
./rust-name-gen --host 127.0.0.1 --port 8080
```

### Query params pour générer les noms

- `qty` - Nombre de noms générés, entre `1` et `50`. Défaut `10`.
- `sep` - Le caractère de séparation entre les sections des noms générés. Utilise l'espace par défaut.
- `gender` - Genre des noms générés, `m` ou `f`. Défaut au hasard.
- `sequence` - Une suite de mots-clés pour déterminer la structure du nom, séparés par un espace. Valeurs acceptés : `prenom patronyme commun adjectif ppasse ppresent article virgule`
  - `ppasse`/`ppresent` pour "participe passé/présent".
  - `article` sera transformé en `le`/`la`/`l'`.
  - `virgule` est... une virgule.

Exemple :
```http
GET 127.0.0.1:8080?qty=5&sequence=prenom%20patronyme%20virgule%20article%20commun%20adjectif%20ppresent%20ppasse
```

Résultat :
```json
[
  "Henriette Camino, la connectabilité rubanière glénante matée",
  "Léa Spinosi, l'exalgine sulfurée rempaquetante dignifiée",
  "Julie Fauville, la millénariste manipulatrice rabiautante resympathisée",
  "Eloi Nuns, l'abruzzais stéarique droguant corrélé",
  "Donat Lemardele, l'écourgeon violet insularisant rebrossé"
]
```

## Live reload

```
cargo watch -x run
```

## Build de production

```
cargo build -r
```

## Remerciements

https://github.com/akaAgar/vocabulaire-francais

## License 

AGPL 3.0